GuiCommand: Name: Part Line MenuLocation: Part , Part_Primitives , Line Workbenches: Part_Workbench, OpenSCAD_Workbench SeeAlso: Part_Primitives
Part Line
Description
A Part Line is a parametric line that can be created with the
Part Primitives command. The coordinates of its start and end point are relative to the coordinate system defined by its Placement property.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/Part_Line_Example.png)
Usage
See Part Primitives.
Properties
See also: Property editor.
A Part Line object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Attachment}}
The object has the same attachment properties as a Part Part2DObject.
{{TitleProperty|Vertex 1 - Start}}
-
X1|Distance: The X coordinate of the start point of the line. The default is {{Value|0mm}}.
-
Y1|Distance: The Y coordinate of the start point of the line. The default is {{Value|0mm}}.
-
Z1|Distance: The Z coordinate of the start point of the line. The default is {{Value|0mm}}.
{{TitleProperty|Vertex 2 - Finish}}
-
X2|Distance: The X coordinate of the end point of the line. The default is {{Value|10mm}}.
-
Y2|Distance: The Y coordinate of the end point of the line. The default is {{Value|10mm}}.
-
Z2|Distance: The Z coordinate of the end point of the line. The default is {{Value|10mm}}.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Line can be created with the {{Incode|addObject()}} method of the document:
line = FreeCAD.ActiveDocument.addObject("Part::Line", "myLine")
- Where {{Incode|"myLine"}} is the name for the object.
- The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
line = doc.addObject("Part::Line", "myLine")
line.X1 = 1
line.Y1 = 3
line.Z1 = 6
line.X2 = 2
line.Y2 = 3
line.Z2 = 9
doc.recompute()
{{Part_Tools_navi}}
⏵ documentation index > Part > Part Line
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Part_Line.md